Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 18 Dec 2014, 18:32
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Karmic Puppy uPup 4.58 w/ GLX/DRI - Latest Woof FEB 16
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 12 [180 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 10, 11, 12 Next
Author Message
rhadon


Joined: 27 Mar 2008
Posts: 1293
Location: Germany

PostPosted: Tue 08 Dec 2009, 09:02    Post subject:  

Hi everybody,

I've had the same problem as ecube. Not only with this version, also with Barry's Karmic Puppy. Jaunty Puppy worked out of the box.

With EeePc 900, Celeron, driver ath5k, wlan with wpa.

Running network wizard, I got "libreadline.so.6 missing".
After installing libreadline6_6.0-5_i386.pet from ttuuxxx (thank you Very Happy ) i got "Failed to connect to wpa_supplicant - wpa_ctrl_open: No such file or directory".

Now I tried the commands, suggested by playdayz

Quote:
# ifconfig wlan0 up
# iwlist wlan0 scan
# wpa_supplicant -B -Dwext -i wlan0 -c /etc/wpa_supplicant.conf
Now got the message, that libnl.so.1 was missing. I found libnl.so.1.1 in Barry's Jaunty Puppy (476?), copied and a symlink for libnl.so.1. Running last command again. It was accepted but no wlan.

Now running network wizard again and it worked Very Happy Very Happy .

OK, I did a lot more, installing other versions of wpa_supplicant, wpa_gui and so on, a lot of symlinks and a lot of commands. At least the steps above work.

Hope this helps to find out, what's wrong
Now I can try the rest of this good looking version Very Happy

~ Rolf

_________________
Ich verwende "frugal", und das ist gut so. Wink
Raspberry Pi without Puppy? No, thanks.
Back to top
View user's profile Send private message 
stevesr0

Joined: 24 Jun 2007
Posts: 169

PostPosted: Tue 08 Dec 2009, 14:08    Post subject: upup and audiovideo  

Flash is problematic on my machine (Fujitsu T4220 with intel chipsets).

I have failed with the default Seamonkey and with the beta Iron for linux, even after installing an additional flash pet (10.22) which worked in previous puppies. I do get flash with a Seamonkey 2.0.1pre (not final release version) which included a flashplayer.

Finally, in trying to use internet radio, I obtained a complete locked black screen of death, which I have never experienced with puppy.

All of this is running from a Live-CD and NOT saving any changes between reboots.

Still like the distro and love the idea of being able to select from all the Ubuntu apps.

Steve
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11782
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Tue 08 Dec 2009, 16:00    Post subject:  

I finally got time to make a test.
With this version I could create a save file after first boot, which is a success, as some versions give problems with this.

But I couldn't configure a connection with the network wizard.
The network device, eth1, was found
The access point was found and the WEP key was entered.
The profile was stored.
The profile was used.
The test for a network was unsuccessful.

When I went back in the wizard and loaded the profile, the WEP key was gone.

But when I used Pwireless to setup a connection, it worked and could go unto the net.

As for the name upup-432 I am surprised that the woof sysem came up with this and I am worried.

Having also a upup-450 and even a upup-460, how will migration of save files be handled.

Is 432 higher (more modern in characteristics) then 450 or 460?

Has Barry expressed something about this in the meantime?

For me it brakes the line of logic people are used too.

_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Tue 08 Dec 2009, 19:55    Post subject: more on wireless  

Rhadon, Thanks. We know now two libraries that should be there. And with your method plus my hack of starting and stopping the usb/wirelss I can get Connect to consistently run. Someone is bound to be able to put these together. We can keep experimenting until the pattern becomes apparent Wink

Here's the karmic version of libnl1 -> http://www.diddywahdiddy.net/Puppy400/libnl1_1.1-5_i386.deb

Libreadline is in a post by ttuuxxx on the previous page, but ehre is is for convenience -> http://www.diddywahdiddy.net/Puppy400/libreadline6_6.0-5_i386.pet

I installed both of those libraries (but I find that it does what is below without those libraries)..

At least it will do the following consistently. If I "modprobe -r zd1211rw" (to remove the usb/wireless driver which in my case is zd1211rw), and then I "modprobe zd1211rw" to put it back, then the first time I use Connect then it will scan and find the network and get online. After this I can click Connect again and it fails to find a network.

It does still work for me to do the manual method.

When I erased my Pup_save file and started again from scratch, Connect worked for me the first time just as it should. But I then went back to Connect and it didn't work in the same way it has been not working. I think it would be worth while to try a fresh boot on the computers that haven't been working right on Network Wizard (which might be all of them Wink Using modprobe to remove and reinstall the driver module, also seems to work consistently, if you know what the driver is.


Rhadon, could it be that you just rebooted when it worked?

Quote:
Now running network wizard again and it worked Very Happy Very Happy .

Last edited by playdayz on Tue 08 Dec 2009, 20:34; edited 5 times in total
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Tue 08 Dec 2009, 19:57    Post subject: more on wireless  

Steversr0, Are you using/trying to use the Flash 10.32 that is included in this uPup20091120 (4.32)?

Could you open a terminal and enter glxinfo or glxgears and see if glxs/dri is installed and working?

On ttuuxxx's 4.50 and 4.60 Flash 10 would not work at all, but Flash 9 would. I am thinking that maybe having the glx/dri installed is helping the Flash 10 run nicely on my machine. So if glx/driw as not installed and working for you that would support my weird theory Wink

Is there anything else you might have changed before you started trying to use Flash?

I am going to reinstall mine because something I did, who knows what, broke gtkdialg....
Back to top
View user's profile Send private message 
rhadon


Joined: 27 Mar 2008
Posts: 1293
Location: Germany

PostPosted: Wed 09 Dec 2009, 09:09    Post subject:  

HI playdayz,

I tested a little bit more and now I can definitively say, all I need are libreadline.so.6.0 with link to libreadline.so.6 and libnl.so.1.1 with link to libnl.so.1 (all in /lib) to get Network Wizard working. At last I don't need any command from console.

I tested without any savefile. Also removing and reloading ath5k with modprobe before running the wizard didn't help without the two files.

I installed kino_1.3.3, project-x and devede from repo. Devede doesn't work, too many dependencies.The others are working fine.

I also installed Skype, Everest, Truecrypt, Tvbrowser. All are working fine.
Also Opera-10.10-portable works out of the box.

~ Rolf

_________________
Ich verwende "frugal", und das ist gut so. Wink
Raspberry Pi without Puppy? No, thanks.
Back to top
View user's profile Send private message 
mavrothal


Joined: 24 Aug 2009
Posts: 1893

PostPosted: Thu 10 Dec 2009, 18:48    Post subject: booting on OLPX XO-1!  

Way to go playdayz!
Your Karmic uPup with an OLPC XO-1 kernel did boot my XO-1 all the way to the desktop!
The xorg wizard did not auto detected it but after adjusting the frequencies and picking a resolution load the correct driver and resolution (1200x900) all by itself!
The mouse does not work yet (I believe it need the evdev driver for touchpad and keyboard) and the desktop application icons are all the same but i was sure glad to see the puppy logo on the screen Laughing

..and here is a picture http://www.flickr.com/photos/35623379@N07/4175514880/
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2169
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Fri 11 Dec 2009, 12:33    Post subject: Re: uPup Made with Woof 20091120 w/ GLX/DRI
Subject description: Seems Stable and Compatible
 

Hi

playdayz wrote:
If you have an ATI card[/b] that doesn't start correctly, you might try among the "ati," "radeon," and "radeonhd" drivers.


it works pretty with "radeonhd" on my acer emachine laptop (with AMD64 ATI Radeon) but only one time. after that, puppy turn the lightness of the lcd screen down and it it not possible to start again directly with puppy any more...

i have to start ubuntu to get "new lightness" Idea

after ubuntun, I can start uPup 450 again one time...

(same problem with puppy 431!)

bye
Back to top
View user's profile Send private message 
stevesr0

Joined: 24 Jun 2007
Posts: 169

PostPosted: Fri 11 Dec 2009, 15:34    Post subject: Response re glxinfo and glxgears test  

Hi playdayz,

I tried both glxinfo and glxgears and I didn't get an error message (but I am not expert at interpreting the glxinfo output).

Is it normal for 32 GLX visuals and 128 GLXFBConfigs to have values of "Slow" and "None"? These are the only values reported and alternate with each other.

Glxgears popped up and kept going very nicely and smoothly. Without urging from me, it closed itself without an error message. I assume that is normal?

Having checked that, I tried flash again from the site that crashed previously, using the default SeaMonkey install (1.1.1Cool. Today, it is working just fine.

I haven't tried the voicemail gxine system crash yet. I will write back after sending this message with the results of that test.

I will also recheck the results after installing the Iron-linux you referenced in another thread (that you said worked with upup 432).

All of this is being done via the live-CD without saving the setup between sessions.

Steve
Back to top
View user's profile Send private message 
stevesr0

Joined: 24 Jun 2007
Posts: 169

PostPosted: Fri 11 Dec 2009, 16:09    Post subject: Additional response about av problems  

During the same boot, after I tested the SeaMonkey 1.1.18 browser for flash, I installed and tested the Iron-Linux browser. This still reports an error (the libflashplayer.so crashed). The browser stays open and responsive, however.

Next, I tested the function of audio by launching an internet radio station and attempting to listen via the "iTunes" version (a .pls file).

This worked fine with the SeaMonkey browser via gxine. However, with Iron, a little window with a down facing arrow opens and then a browser window launches with the title about:blank. No error message.

Then, I checked the voicemail in my Yahoo account. With the SeaMonkey browser, I get the new Yahoo interface and when I select a voicemail message, a message window opens with a link that with my usual puppy running (4.2.1), launches a gxine browser window and plays the message. With this pup (upup432), the screen becomes black except for the mouse cursor, and the system abruptly becomes nonresponsive. I have to use the power button to shut and restart the system.

Before this, I checked the vociemail in the Iron browser. Yahoo did not support this browser with the new email interface, so I ran the old interface, which seemed to work fine. However, when I attempted to run the voicemail message, this led to the display of a new blank tab with the title about:blank.

Let me know if there is anything else you would like me to check.

At this point, it looks as if I can use this version of seamonkey to view flash and listen to internet radio, but not Iron. I can't use a browser on upup432 to check my voicemail on Yahoo.

I was able to do all these things with the SeaMonkey 2 pet that includes the 10.22 flash (I will retry that and get back to you if that has changed).

Steve
Back to top
View user's profile Send private message 
stevesr0

Joined: 24 Jun 2007
Posts: 169

PostPosted: Fri 11 Dec 2009, 16:40    Post subject: Additional addendum: flash in Iron with upup 432  

I checked the libflashplayer.so file. There is only one version on the upup432, located in /usr/lib/mozilla/plugins (and with a copy in initrd).

I noticed that the owner and group of libflashplayer.so are ftp/ftp unlike the two other files in the plugins directory which are root/root.

Is this as it is supposed to be?

Steve
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Fri 11 Dec 2009, 19:07    Post subject: New Version uPup 4.51 Made with Woof 2009-1211  

New Version uPup Karmic 4.51 Made with Woof 2009-1211

Posted in the first message of this thread, a uPup, that is a Puppy based on Ubuntu 9.10 Karmic made with Woof 2009-1211, numbered 4.51, this is the development of the uPup 4.32 that started this thread.
Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5969
Location: Kentucky

PostPosted: Sat 12 Dec 2009, 01:34    Post subject:  

Downloaded the latest release and did a frugal install on my P3 test box.
Already installed Firefox 3.5 and have had no flash related problems from either FF or SeaMonkey..... Smile
Seems pretty stable.
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Sat 12 Dec 2009, 21:41    Post subject:  

I added links to

Flashplayer 10.0.42 and
Flashplayer 10.1pre, as well as
Seamonkey 2.0 and
Firefox 3.6b6pre and the
upup_devx_4.51
Go-OpenOffice 3.1.1

to the first message in this thread.

@stevesr0, thanks for all the testing.

Quote:
Glxgears popped up and kept going very nicely and smoothly. Without urging from me, it closed itself without an error message. I assume that is normal?

No I don't think it should close by itself. First off, if the gears spin then that means glx is installed and running. You can also see that in Menu -> System status and Config -> Hardinfo -> Display and scroll down to the glx section. But I let mine run for 30 minutes and it just kept reporting every 5 seconds, not stopping. Did it close the glxgears window and also the terminal window?

Concerning Seamonkey. There is a link in the first message to Seamonkey 2.0. In my experience it is significantly faster than 1.1.18. Barry has found some problems in one of his blog posts, but they are not deal breakers, imo.

Also in the first message there are links to Flashplayer 10.0.42 and 10.1pre. I have been using both of them with Seamonkey 2 and Firefox 3.6b6rpe without mishap.

#oui, Maybe it would be worth while to compile the ATI Catalyst driver; that way you get the Catalyst Control Center as well as the driver. It is proprietary but I can live with that myself. You would need a full install or a frugal install with 1GB Save file, mainly because SitHeelSpeaks gcc 4.4.1 will take 300-400MB. But this uPup (and I think the others) won't compile without it. Someone might could fix that. I had good luck with SitHeelSpeaks version though. There is some discussion in the first message. You would need the devx, SHS's gcc, and the kernel sources, all links in the first message, plus the ATI Catalyst install, also a link. If it is not enough, please ask questions.
Back to top
View user's profile Send private message 
ecube


Joined: 11 Jul 2008
Posts: 88
Location: Västerås, Sweden

PostPosted: Mon 14 Dec 2009, 13:53    Post subject:  

Paydayz,

upup451 looks very good to me

Observations:

The md5sums seem to have been swaped.
I get 821777303bff3e2d01877965da8092bc upup-451.iso
175de6625dfb7d43d0aa691612916b19 upup_devx_451.sfs

My Belkin USB2.0 WLAN is working and autoconnects at reboot.

Trying to setup CUPS printing failed due to "500 Internal Server Error". But installing the cups-1.3.10-1-uj pet made installation of my Okipage 14ex printer possible.

On a different subject. Should you be interested in the difference between Woof tarballs, the attached perl script may be useful. For example:
To compare woof-20091210085845.tar.gz to woof-20091212121034.tar.gz, you type

./woofdiff.pl 20091210085845 20091212121034 to get

---- No files deleted from woof-20091210085845.tar.gz ----

---- Files added to woof-20091212121034.tar.gz ----
de-latin1.gz

---- Updated files ----
DISTRO_PKGS_SPECS-t2-8.0rc
2createpackages
HISTORY_DISTRO_SPECS
HISTORY_3builddistro
DISTRO_SPECS
Packages-puppy-quirky-official
woof_gui_tabs
puppyinstaller
bones

---- For detailed information use option -v ----

Regards, Olov
woofdiff.pl.gz
Description  Calculates the difference between tarballs
gz

 Download 
Filename  woofdiff.pl.gz 
Filesize  947 Bytes 
Downloaded  472 Time(s) 
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 12 [180 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 10, 11, 12 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1082s ][ Queries: 13 (0.0084s) ][ GZIP on ]